Bug 7606 - Kerberos: UNKNOWN -- no such entry found in hdb
Kerberos: UNKNOWN -- no such entry found in hdb
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
unspecified
x64 Linux
: P3 major
: ---
Assigned To: Andrew Bartlett
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-05 10:54 UTC by ajay aggarwal (553 Invalid recipient)
Modified: 2011-02-21 15:08 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ajay aggarwal (553 Invalid recipient) 2010-08-05 10:54:44 UTC
We are running samba4 (alpha12) on a centos 5.4  machine and are experimenting with Hyper-V 2008 R2 Failover Clustering, which requires Active Directory. We are trying to see if samba-4 will work as the AD server. We  are building a 2 node failover cluster. Both nodes seem to have joined the domain successfully (with samba-4 as the DC). But subsequent steps of creating the "Failover Cluster" are failing and periodically we see following errors in the samba log:

(Note that node0-lime record seems to have correct dnsHostName set in the database.)

----- errors from samba log --------------
Failed to modify SPNs on CN=NODE1-LIME,CN=Computers,DC=sambalime,DC=stratus,DC=com: error in module acl: insufficient access rights (50)
added interface ip=10.90.0.71 nmask=255.255.255.0 
ldb_wrap open of sam.ldb 
Failed to modify SPNs on CN=NODE1-LIME,CN=Computers,DC=sambalime,DC=stratus,DC=com: error in module acl: insufficient access rights (50)
ipv4:10.90.0.88:49232 closed connection to service IPC$


Kerberos: AS-REQ host/node0-lime.sambalime.stratus.com@SAMBALIME.STRATUS.COM from ipv4:10.90.0.87:50798 for krbtgt/SAMBALIME.STRATUS.COM@SAMBALIME.STRATUS.COM
Kerberos: UNKNOWN -- host/node0-lime.sambalime.stratus.com@SAMBALIME.STRATUS.COM: no such entry found in hdb
Terminating connection - 'kdc_tcp_call_loop: tstream_read_pdu_blob_recv() - NT_STATUS_CONNECTION_DISCONNECTED'
single_terminate: reason[kdc_tcp_call_loop: tstream_read_pdu_blob_recv() - NT_STATUS_CONNECTION_DISCONNECTED]
Terminating connection - 'NT_STATUS_CONNECTION_DISCONNECTED'
single_terminate: reason[NT_STATUS_CONNECTION_DISCONNECTED]
Terminating connection - 'NT_STATUS_CONNECTION_DISCONNECTED'
single_terminate: reason[NT_STATUS_CONNECTION_DISCONNECTED]
Comment 1 Matthias Dieter Wallnöfer 2010-12-04 04:59:21 UTC
Andrew, do you have an idea?
Comment 2 Andrew Bartlett 2010-12-05 18:15:50 UTC
Please try again with current GIT. 

We have improved the SPN update code (more still to do however). 
Comment 3 Matthias Dieter Wallnöfer 2011-02-21 15:08:02 UTC
This should have been fixed with Nadya's work. If not, please reopen!